/*
 * GSuperMacro Test App
 *
 * Copyright (C) 2007 Amos Brocco
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * You should have received a copy of the GNU General Public License
 * (for example COPYING); if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#include "Base.h"
#include "Sub.h"
#include <glib/gprintf.h>

int main(void) {
        Base* 	base;
        Sub*    sub;

        g_type_init ();
        
        base = g_object_new (TYPE_BASE, NULL);
        sub = g_object_new (TYPE_SUB, NULL);
        
        g_printf("Calling base methods on the base object:\n");
        base_sample_method (base, 7);
        base_another_method (base);

        g_printf("Calling base methods on the sub object:\n");        
        base_sample_method (BASE(sub), 13);
        base_another_method (BASE(sub));
}
